Bug 178333 - [NEW PORT] net/libnss-pgsql: NSS module using a PostgreSQL database for backend
Summary: [NEW PORT] net/libnss-pgsql: NSS module using a PostgreSQL database for backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch-ready
Depends on:
Blocks:
 
Reported: 2013-05-04 12:30 UTC by berend
Modified: 2016-04-10 12:30 UTC (History)
4 users (show)

See Also:


Attachments
file.shar (8.99 KB, text/plain)
2013-05-04 12:30 UTC, berend
no flags Details
libnss-pgsql.shar (9.08 KB, application/x-shar)
2013-05-14 23:04 UTC, berend
no flags Details
libnss-pgsql-devel.shar (9.40 KB, application/octet-stream)
2013-12-19 03:31 UTC, berend
no flags Details
file.dat (36 bytes, text/plain; charset=US-ASCII)
2013-12-19 03:31 UTC, berend
no flags Details
Port now complies with latest port standards (9.78 KB, application/x-shar)
2015-04-23 21:17 UTC, berend
no flags Details
Update shar with xmlto dependency (9.82 KB, application/x-shar)
2015-08-17 05:55 UTC, Felix Hanley
no flags Details
Updated port submission (7.86 KB, application/x-shar)
2015-12-21 08:25 UTC, Felix Hanley
no flags Details
Updated port submission (7.90 KB, application/x-shar)
2016-04-10 11:48 UTC, Felix Hanley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description berend 2013-05-04 12:30:03 UTC
Allow pgsql in /etc/nssswitch.conf, similar to libnss-mysql.

Fix: Patch attached with submission follows:
Comment 1 berend 2013-05-14 23:04:03 UTC
The port didn't install the link /usr/local/lib/nss_pgsql.so.1 which is 
essential to make this work.

This update fixes that.
Comment 2 Felippe de Meirelles Motta freebsd_committer 2013-06-28 22:52:37 UTC
Hi,

Could you check the list of extra files and directories installed by this
port and was not deinstalled by 'make deinstall' ?

Check this log:
https://redports.org/~lippe/20130628211701-6401-129836/libnss-pgsql-1.5.0.log

Tks
lippe@
Comment 3 Felippe de Meirelles Motta freebsd_committer 2013-06-28 23:02:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 4 berend 2013-07-12 08:30:25 UTC
This is a multi-part message in MIME format.
Comment 5 berend 2013-07-12 09:29:27 UTC
This is a multi-part message in MIME format.
Comment 6 berend 2013-07-12 09:33:33 UTC
This is a multi-part message in MIME format.
Comment 7 berend 2013-07-12 09:39:31 UTC
And one more update. An nsswitch.conf applicable to FreeBSD, not the
default Linux one.
Comment 8 Felippe de Meirelles Motta freebsd_committer 2013-07-12 19:36:48 UTC
Hi Berend,

Since this is a beta version, it should be used as PORTNAME-devel instead,
same that this project was not updates since 2008.

Suggestion: Could you create a libnss-pgsql with 1.4.0 stable release and
an libnss-pgsql-devel with 1.5.0 beta release, what´s about?

Thanks
lippe@
Comment 9 berend 2013-07-12 23:16:48 UTC
>>>>> "Felippe" == Felippe de Meirelles Motta <lippe@FreeBSD.org> writes:


    Felippe> Since this is a beta version, it should be used as
    Felippe> PORTNAME-devel instead, same that this project was not
    Felippe> updates since 2008.

Hi Felippe,

I could use -devel but it has been pretty stable :-) But I assume
-devel is standard.

Do I need to submit a new .shar ?


    Felippe> Suggestion: Could you create a libnss-pgsql with 1.4.0
    Felippe> stable release and an libnss-pgsql-devel with 1.5.0 beta
    Felippe> release, what´s about?

I wouldn't have the time to test it thoroughly. I have been using this
1.5.0-beta in production and has been stable so far. So my concern is
that we mark it as stable, but no one has actually ever used it.

I can't remember, but I think I also had more trouble getting the
1.4.0 version working.

But I agree, Debian/Ubuntu all use the 1.4 version.

Please let me know what to do.

-- 
All the best,

Berend de Boer


          ------------------------------------------------------
          Awesome Drupal hosting: https://www.xplainhosting.com/
Comment 10 Felippe de Meirelles Motta freebsd_committer 2013-07-15 15:25:51 UTC
Hi Berend,

Yes, please! One SHAR file to -devel at this PR and a new PR to stable
version.

Thanks
lippe@

On Fri, Jul 12, 2013 at 7:16 PM, Berend de Boer <berend@pobox.com> wrote:

> >>>>> "Felippe" == Felippe de Meirelles Motta <lippe@FreeBSD.org> writes:
>
>     Felippe> Since this is a beta version, it should be used as
>     Felippe> PORTNAME-devel instead, same that this project was not
>     Felippe> updates since 2008.
>
> Hi Felippe,
>
> I could use -devel but it has been pretty stable :-) But I assume
> -devel is standard.
>
> Do I need to submit a new .shar ?
>
>
>     Felippe> Suggestion: Could you create a libnss-pgsql with 1.4.0
>     Felippe> stable release and an libnss-pgsql-devel with 1.5.0 beta
>     Felippe> release, what´s about?
>
> I wouldn't have the time to test it thoroughly. I have been using this
> 1.5.0-beta in production and has been stable so far. So my concern is
> that we mark it as stable, but no one has actually ever used it.
>
> I can't remember, but I think I also had more trouble getting the
> 1.4.0 version working.
>
> But I agree, Debian/Ubuntu all use the 1.4 version.
>
> Please let me know what to do.
>
> --
> All the best,
>
> Berend de Boer
>
>
>           ------------------------------------------------------
>           Awesome Drupal hosting: https://www.xplainhosting.com/
>

>
Comment 11 berend 2013-12-19 03:31:51 UTC
>>>>> "Felippe" == Felippe de Meirelles Motta <lippe@FreeBSD.org> writes:

    Felippe> Yes, please! One SHAR file to -devel at this PR and a new
    Felippe> PR to stable version.

Hi Felippe,

Took me a while, this is the -devel shar.
Comment 12 Bartek Rutkowski freebsd_committer 2015-03-14 11:02:07 UTC
Given that the port proposed does not comply to current ports standards and frameworks and the original submitter remained silent since the original submission, I am rejecting this PR and closing it.
Comment 13 berend 2015-04-23 21:17:20 UTC
Created attachment 155927 [details]
Port now complies with latest port standards
Comment 14 berend 2015-04-23 21:18:04 UTC
Have updated the port, now works against latest ports standards.
Comment 15 Felix Hanley 2015-08-17 05:55:31 UTC
Created attachment 159942 [details]
Update shar with xmlto dependency

The build depends on xmlto. I added it as a BUILD_DEPENDS
Comment 16 Mark Linimon freebsd_committer freebsd_triage 2015-11-08 15:03:14 UTC
lippe@'s commit bit has been taken for safekeeping.

To submitter: I'm sorry that this PR has sat for so long.
Comment 17 Bartek Rutkowski freebsd_committer 2015-11-08 15:26:41 UTC
There are still few issues with the proposed shar:

- portlint is throwing makepatch warnings, please, eliminate them all
- shar contains 'files/nsswitch.conf~' that I think shouldnt be there
- BUILD_DEPENDS should appear earlier
- shar results in port dir called libnss-pgsql-devel, yet in Makefile the PORTNAME is libnss-pgsql, this should be corrected
- are you sure this line is correct: '${LN} -s ${PREFIX}/lib/libnss_pgsql.so.2.0.0 ${STAGEDIR}${PREFIX}/lib/nss_pgsql.so.1' (shouldnt this be handled automatically?)
Comment 18 Felix Hanley 2015-12-21 08:25:01 UTC
Created attachment 164447 [details]
Updated port submission

I have updated the shar archive, fixing the following:

- fixed makepatch warnings
- removed unnecessary files
- update Makefile variables
- fixed port directory name
- removed unnecessary post-install steps
Comment 19 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 08:38:48 UTC
Thank you Felix
Comment 20 Felix Hanley 2016-02-11 04:06:09 UTC
Is there anything more required for this new port? It would be nice to see some movement.
Comment 21 Kurt Jaeger freebsd_committer 2016-04-01 18:30:08 UTC
Distsite is not available:

make fetch
===>   libnss-pgsql-1.5.0_1 depends on file: /usr/local/sbin/pkg - found
=> libnss-pgsql-1.5.0-beta.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://pgfoundry.org/frs/download.php/1878/libnss-pgsql-1.5.0-beta.tar.gz
fetch: http://pgfoundry.org/frs/download.php/1878/libnss-pgsql-1.5.0-beta.tar.gz: Operation timed out
Comment 22 Felix Hanley 2016-04-10 11:48:36 UTC
Created attachment 169140 [details]
Updated port submission

Not sure what has happened to pgfoundry but this new shar references a postgres repository.
Comment 23 Kurt Jaeger freebsd_committer 2016-04-10 12:05:38 UTC
Thanks. After a bit of tweaking, it fetches and builds. There's a strange effect.

If I build it in poudriere, it fails with a plist issue:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/libnss_pgsql.so.2

If I build in the ports tree, the .so.2 is not installed and the plist is correct.
This is really strange.
Comment 24 Kurt Jaeger freebsd_committer 2016-04-10 12:12:07 UTC
If I add USES=autoreconf, it builds fine in both cases. Yay!
Comment 25 commit-hook freebsd_committer 2016-04-10 12:28:33 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 10 12:27:49 UTC 2016
New revision: 412926
URL: https://svnweb.freebsd.org/changeset/ports/412926

Log:
  New port: net/libnss-pgsql

  libNSS-PostgreSQL allows you to authenticate UNIX groups and users
  using a PostgreSQL database. It uses the NSS API which provides an
  abstraction layer between the UNIX authentication API and the related
  data. NSS-PostgreSQL currently supports the passwd and groups services.

  WWW: https://ftp.postgresql.org/pub/projects/pgFoundry/sysauth/NSS/

  PR:		178333
  Submitted by:	berend@pobox.com, felix@userspace.com.au
  Reviewed by:	lippe, robak

Changes:
  head/net/Makefile
  head/net/libnss-pgsql/
  head/net/libnss-pgsql/Makefile
  head/net/libnss-pgsql/distinfo
  head/net/libnss-pgsql/files/
  head/net/libnss-pgsql/files/nsswitch.conf
  head/net/libnss-pgsql/files/patch-configure.ac
  head/net/libnss-pgsql/files/patch-src_backend.c
  head/net/libnss-pgsql/files/patch-src_interface.c
  head/net/libnss-pgsql/files/patch-src_nss-pgsql.h
  head/net/libnss-pgsql/pkg-descr
  head/net/libnss-pgsql/pkg-plist
Comment 26 Kurt Jaeger freebsd_committer 2016-04-10 12:30:12 UTC
This finally hit the tree, close to its third birthday 8-}

Thanks to all of you for the work, reviews, updates, etc, and sorry, that it took so long!